import {Component, Input, OnInit} from '@angular/core';
import {MatTableDataSource} from "@angular/material/table";
import {SimpleGamesystem} from "../../../project/game-model/gamesystems/SimpleGamesystem";
import {ScriptAccount} from "../../../project/game-model/scriptAccounts/ScriptAccount";
import {SimpleTemplateGamesystem} from "../../../project/game-model/gamesystems/SimpleTemplateGamesystem";
import {Character} from "../../../project/game-model/characters/Character";

@Component({
  selector: 'app-simple-gamesystem-editor',
  templateUrl: './simple-gamesystem-editor.component.html',
  styleUrl: './simple-gamesystem-editor.component.scss'
})
export class SimpleGamesystemEditorComponent implements OnInit{

  @Input() simpleGamesystem: SimpleGamesystem | SimpleTemplateGamesystem<any> | undefined
  @Input() scriptAccunts: ScriptAccount[] = []
  @Input() templateReference: Character | undefined

  ngOnInit(): void {
    console.log("SimpleGamesystem: ", this.simpleGamesystem)
  }


}
